Jump to content
vernonlee

HELP: Have hatch pattern but cannot align hatch pattern exactly.

Recommended Posts

vernonlee

Hi eldon, I did that but i click all four corners of the rectangle when selecting origin point, would not give me the same location. So which origin point should i click?

 

 

If you draw ReMark's rectangle starting at 0,0 and with sides 5000, 5000, and then hatch it with the imperial hex hatch pattern at a scale of 500. You can now take this rectangle with the hatch, align it with your pattern and see exactly where the origin is (corner of rectangle).

Share this post


Link to post
Share on other sites
vernonlee
If you want a perfect pattern forget hatch and just use Array make 1 hexagon exactly as you want, copy and move for 2nd row then array use something like cookiecutter.lsp or extrim to cut any hex's on the line. Yes it can be automated. By tyhe time I read the other 4 pages of posts I will have it done !

 

Hi BIGAL. Appreciate the advise but this hatch is a wall symbol & would not be proper if some parts are hatching & some parts of of a different enity type. It would be messy.

Share this post


Link to post
Share on other sites
BIGAL

I am sure there are some rules but its one of those mysteries thats buried within Autocad like linetypes shorten a fraction and the pattern you wanted goes off.

 

As you can set the hatch angle and a arbitrary base pt maybe its a pick point and work out a new base point modifying the hatch origin. Will have a look at this

 

Now leaning towards delete hatch and set new origin and recreate.

Edited by BIGAL

Share this post


Link to post
Share on other sites
eldon
Hi eldon, I did that but i click all four corners of the rectangle when selecting origin point, would not give me the same location. So which origin point should i click?

 

When you draw the rectangle with one corner at 0,0, you must mark that corner before you align it with your existing pattern, and then you will know where the origin point is. And then you can set up a UCS based on the rectangle, or whatever.

Share this post


Link to post
Share on other sites
ReMark

"...this hatch is a wall symbol..."

 

If it is just a symbol then I have to wonder why you are wasting so much time on it. Don't you have better things to do? I can't believe your employer is letting you spend your valuable time on such a trivial aspect of a drawing. It's a hatch pattern it's not the final piece of a design for a complex building component. Yes, I know, I'll be bashed for my "criticism" but you have got to have more important things to do than this. How much attention will this wall symbol receive when the client finally (if ever) gets his drawing? My guess is virtually none.

Share this post


Link to post
Share on other sites
RobDraw
Hi BIGAL. Appreciate the advise but this hatch is a wall symbol & would not be proper if some parts are hatching & some parts of of a different enity type. It would be messy.

 

Look at the mess that you are in with your current method. There are much better ways to accomplish what you need. With the information that you've given so far, arrays would be one of them. If you could describe what you are doing with some more background information, I'm sure we can steer you in a better direction.

Share this post


Link to post
Share on other sites
eldon

Looking at the hex pattern, it is apparent that every single corner of the shape could be the origin point.

OriginOfHatch.PNG

Share this post


Link to post
Share on other sites
vernonlee
When you draw the rectangle with one corner at 0,0, you must mark that corner before you align it with your existing pattern, and then you will know where the origin point is. And then you can set up a UCS based on the rectangle, or whatever.

 

Ok. I I'll tests it out. Thanks

Share this post


Link to post
Share on other sites
vernonlee

Hi BIGAL & ReMark. You are right. I guess I should not waste time on this. I guess trying to know where went wrong to do a proper way & knowing what to do in future got the better of me. Unfortunately I am one of those people. I do admit it I do get caught up in this type of things & does slow me down.

 

Thanks for all the time spent & advise given.

Share this post


Link to post
Share on other sites
BIGAL

This is a solution you can do diferrent offsets for patterns this will move the hatch path with a prehatched area

 

(vl-load-com)
(setq obj (vlax-ename->vla-object (car (entsel "\NPick hatch"))))
(setq pt (getpoint "\nPick Corner"))
(setq pt (list (car pt)(cadr pt)))
(vlax-put obj 'Origin pt)
(vlax-put obj 'HatchStyle (vlax-get obj 'HatchStyle))

Share this post


Link to post
Share on other sites
vernonlee

Thanks BIGAL

Share this post


Link to post
Share on other sites
eldon

I have marked all possible points of hatch origin on your original drawing.

HatchOriginPoints.PNG

Share this post


Link to post
Share on other sites
BIGAL

Eldon your correct, I cheated and tested the simple realign with NET making a pline corner the intersection of the hatch squares, again there has to be a rule of which corner point controls and what pt on the hatch matches, you can then work out a shift as well as the complication of the rotation angle, that was like version 4.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×